﻿@import url('https://fonts.googleapis.com/css2?family=Anuphan&family=Noto+Sans+KR&family=Noto+Sans+TC&family=Noto+Serif+JP&display=swap');

/***********font language***********/
.anuphan2 {
    font-family: "Anuphan", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.anuphan {
    font-family: "Anuphan", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.noto-serif-jp {
    font-family: "Noto Serif JP", serif;
    font-weight: 400;
    font-style: normal;
}

.noto-sans-kr {
    font-family: "Noto Sans KR", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.noto-sans-tc {
    font-family: "Noto Sans TC", sans-serif;
    font-weight: 400;
    font-style: normal;
}


/***********affect image***********/
.eff_img_zoomin {
    position: absolute;
    top: 50%;
    left: 50%;
    height: auto;
    width: 100%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -o-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}

.eff_img_zoomin {
    -webkit-transition: all 0.8s ease-in-out;
    -moz-transition: all 0.8s ease-in-out;
    -o-transition: all 0.8s ease-in-out;
    -ms-transition: all 0.8s ease-in-out;
}

.eff_img_zoomin:hover {
    -webkit-transform: translateX(-50%) translateY(-50%) scale(1.6);
    -moz-transform: translateX(-50%) translateY(-50%) scale(1.6);
    -o-transform: translateX(-50%) translateY(-50%) scale(1.6);
    transform: translateX(-50%) translateY(-50%) scale(1.6);
}

.eff_img_frame_home {
    position: relative;
    overflow: hidden;
}

.eff_img_frame_gall {
    position: relative;
    overflow: hidden;
}

/*****Accessories*****/
.eff_img_frame_acc {
    position: relative;
    width: 100%;
    height: 660px;
    overflow: hidden;
}

.productbox {
    background-color: rgba(255, 255, 255, 0.75);
    padding: 15px;
    height: 100%;
}

.productbox .prod_detail {
    padding: 20px 0px 10px 0px;
}

.prod_detail .title {
    padding: 30px 0px;
}

.prod_detail .name {
    padding-bottom: 7px;
}

/*****Sub Gallery*****/
.gallpresentbox .imgpresent {
    background-repeat: no-repeat;
    background-size: cover;
    margin: 18px;
    background-color: #1C2C4F;
}

.gallpresentbox img {
    width: 100%;
    height: 100%;
}



/**********contact button**********/
#myContact {
    position: fixed;
    top: 50%;
    left: 0;
    writing-mode: vertical-lr;
    transform: translateY(-50%);
    background-color: transparent !important;
    border: none;
    cursor: pointer;
    z-index: 1;
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
    .productbox .prod_detail {
        font-size: 16px;
        line-height: 20px;
    }

    .prod_detail .title {
        font-size: 16px;
    }

    #btnContact {
        height: 50%;
    }

    .eff_img_frame_home {
        height: 377px;
        width: 255px;
    }

    .eff_img_frame_gall {
        height: 173px;
        width: 255px;
    }

    .gallpresentbox .fullheight {
        height: 340px;
    }

    .gallpresentbox .halfheight {
        height: 340px;
    }

    .productbox .prod_img {
        height: 340px;
    }

}

/* Extra large devices (large desktops, 576px and up) */
@media (min-width: 576px) {
    .productbox .prod_detail {
        min-height: 420px;
    }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {
    .productbox .prod_detail {
        font-size: 16px;
        line-height: 22px;
    }

    .prod_detail .title {
        font-size: 18px;
    }

    #btnContact {
        height: 60%;
    }

    .eff_img_frame_home {
        height: 619px;
        width: 416px;
    }

    .eff_img_frame_gall {
        height: 337px;
        width: 500px;
    }

    .gallpresentbox .fullheight {
        height: 666px;
    }

    .gallpresentbox .halfheight {
        height: 333px;
    }

}

/* Extra large devices (large desktops, 768px and up) */
@media (min-width: 768px) {
    .gallpresentbox .fullheight {
        /*height: 828px;*/
        height: 908px;
    }

    .gallpresentbox .halfheight {
        /*height: 414px;*/
        height: 436px;
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) {
    .productbox .prod_detail {
        font-size: 18px;
        line-height: 24px;
    }

    #btnContact {
        height: 70%;
    }

    .prod_detail .title {
        font-size: 20px;
    }

    .eff_img_frame_home {
        height: 619px;
        width: 416px;
    }

    .eff_img_frame_gall {
        height: 404px;
        width: 600px;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {
    .productbox .prod_detail {
        font-size: 20px;
        line-height: 26px;
    }

    .prod_detail .title {
        font-size: 22px;
    }

    #btnContact {
        height: 70%;
    }

    .eff_img_frame_home {
        height: 619px;
        width: 416px;
    }

    .eff_img_frame_gall {
        height: 404px;
        width: 600px;
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .productbox .prod_detail {
        font-size: 22px;
        line-height: 28px;
    }

    .prod_detail .title {
        font-size: 24px;
    }

    #btnContact {
        height: 70%;
    }

    .eff_img_frame_home {
        height: 619px;
        width: 416px;
    }

    .eff_img_frame_gall {
        height: 404px;
        width: 600px;
    }
}

.payment-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;
    margin-top: 30px;
    margin-bottom: 10px;
}

.payment-wrapper img {
    height: 70px;                /* เพิ่มเป็น 60px จะกำลังสวย */
    opacity: 0.9;
    transition: 0.25s ease;
    filter: drop-shadow(0 2px 2px rgba(0,0,0,0.1));
}

.payment-wrapper img:hover {
    opacity: 1;
    transform: translateY(-2px);
}